Sponsored Links

Sponsored Links

Results 1 to 6 of 6



  1. #1
    Contributor SCHAOS's Avatar
    Join Date
    Aug 2010
    Posts
    18
    Sponsored Links

    [Answered] How to locate and modify the app version of an EBOOT?

    Sponsored Links
    I've been browsing and have been unable to figure this out. I have and ELF executable (from a game update pkg) and I would like to modify the app version to reflect the current game update, resign and play on 3.55.

    I have already executed readself, and have found (a) elf #1 offset and (b) version offset. I went to both offsets in HxD and havnt found anything that I feel looks like the actual version. I have attached a pic of the readself output. I'm unsure if the hex needs to be converted to obtain a decernable value.

    Any help would be greatly appreciated.
    Attached Images<br><br> Attached Images


  2. #2
    Registered User MODERNTHIS's Avatar
    Join Date
    Jan 2011
    Posts
    44
    Sponsored Links
    Sponsored Links
    Open up a hex editor and look in for the system software version it asks to install then just change from 3.55 to 3.whatever
    then just install it.

  3. #3
    Contributor SCHAOS's Avatar
    Join Date
    Aug 2010
    Posts
    18
    Sponsored Links
    Sponsored Links
    Sorry, I guess my post wasnt clear. I'm trying to change the game update version, not the FW version.

    thanks

  4. #4
    Banned User
    Join Date
    Nov 2009
    Posts
    508
    If your on 3.55 just about everything already works. If you want to change the version its in the param.sfo

    I don't understand what your trying to do?

  5. #5
    Contributor SCHAOS's Avatar
    Join Date
    Aug 2010
    Posts
    18
    From what I understand, every game update comes with updated executables. I'm aware there is an app version in the .SFO, Im trying to locate the app version within the executable. (EBOOT) I have an update version 1.00 EBOOT and would like to change it to the current update 1.04, sign and play.
    Last edited by SCHAOS; 01-27-2011 at 03:38 AM

  6. #6
    Banned User
    Join Date
    Nov 2009
    Posts
    508
    your doing it wrong. edit the param.sfo to say 1.04 and it'll play without asking for update.

    If you are trying to swap an updated eboot over the original then it'll probably not work anyway as it's probably got new files and other stuff not on the disc/backup so it will fail anyway.

    If your on 3.55 you don't need to mess around anymore. just update and it'll work. It should work. What game you trying to get working?

 

Sponsored Links

Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News